Max {VGAM} | R Documentation

## Maximums

### Description

Generic function for the maximums (maxima) of a model.

### Usage

    Max(object, ...)

### Arguments

`object` | An object for which the computation or extraction of a maximum (or maximums) is meaningful.
`...` | Other arguments fed into the specific methods function of the model. Sometimes they are fed into the methods function for `Coef`.

### Details

Different models can define a maximum in different ways. Many models have no such notion or definition.

Maximums occur in quadratic and additive ordination, e.g., CQO or CAO. For these models the maximum is the fitted value at the optimum. For quadratic ordination models there is a formula for the optimum but for additive ordination models the optimum must be searched for numerically. If it occurs on the boundary, then the optimum is undefined. For a valid optimum, the fitted value at the optimum is the maximum.

### Value

The value returned depends specifically on the methods function invoked.

### Author(s)

Thomas W. Yee

### References

Yee, T. W. (2004) A new technique for maximum-likelihood canonical Gaussian ordination. Ecological Monographs, 74, 685–701.

Yee, T. W. (2006) Constrained additive ordination. Ecology, 87, 203–213.

### See Also

`Max.qrrvglm`, `Tol`, `Opt`.

### Examples

    ## Not run:
    set.seed(111)  # This leads to the global solution
    hspider[,1:6] <- scale(hspider[,1:6])  # Standardized environmental vars
    p1 <- cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
                    Auloalbi, Pardlugu, Pardmont, Pardnigr, Pardpull,
                    Trocterr, Zoraspin) ~
              WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
              quasipoissonff, Bestof = 2, data = hspider, Crow1positive = FALSE)

    Max(p1)

    index <- 1:ncol(depvar(p1))
    persp(p1, col = index, las = 1, llwd = 2)
    abline(h = Max(p1), lty = 2, col = index)

    ## End(Not run)

[Package VGAM version 1.0-4 Index]